# Get status updates with dates and times

When parsing the whole transport JSON, all the status updates are listed in the `status_updates` list of the transport.

Status updates are characterized by these fields:

* `category` : Category gives the kind of the status\_update. Most important categories are: `on_loading_site` , `loading_complete`, `on_unloading_site`, `unloading_complete`
* `site`: The status updates listed above (`on_loading_site`, ...) refer to a site, because they may complete multiple deliveries at the same time (see the article on [Transport - Segment - Deliveries](/docs/get-started/understand-the-data-model/transport-segment-delivery.md)). This field is the `uid` of the site that the status\_update refers to. You can find the right deliveries/segments by checking the `uid` of the `origin` or `destination` of the deliveries/segments of the transport.
* `created_device`: This is the date-time of the creation of the status update on the device of the trucker. On the other hand, `created` is the date-time of the creation of the status update on the server. If `created_device` is missing, use `created` (it may mean the status update was created from the web application)

Using this information, you'll be able to get real-time information on the status of transports!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/retrieve-transport-tracking-data/get-status-updates-with-dates-and-times.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
